Bug 11819 - Don't show catalog edit menu if user has no edit permissions
Summary: Don't show catalog edit menu if user has no edit permissions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 11821
  Show dependency treegraph
 
Reported: 2014-02-21 19:49 UTC by Owen Leonard
Modified: 2015-06-04 23:30 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11819 - Don't show catalog edit menu if user has no edit permissions (1.96 KB, patch)
2014-02-21 19:57 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed-off]Bug 11819 - Don't show catalog edit menu if user has no edit permissions (2.12 KB, patch)
2014-02-23 19:15 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 11819 - Don't show catalog edit menu if user has no edit permissions (2.24 KB, patch)
2014-02-23 21:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-02-21 19:49:26 UTC
When viewing a bibliographic detail page in the staff client the "Edit" toolbar menu button should not appear if the user doesn't have permission to perform any of the actions listed. Currently such a user will see an empty dropdown.
Comment 1 Owen Leonard 2014-02-21 19:57:01 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2014-02-23 19:15:48 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-02-23 21:58:53 UTC
Created attachment 25564 [details] [review]
[PASSED QA] Bug 11819 - Don't show catalog edit menu if user has no edit permissions

Currently if the logged in user lacks any cataloging permissions the
bibliographic detail page (catalogue/detail.pl) still shows the Edit
button, but with an empty dropdown menu. This patch corrects the toolbar
include so that the button will not appear at all.

To test, view the biblio detail page as a user with various combinations
of the following permissions:

- edit_items
- edit_catalogue
- items_batchmod
- items_batchdel

The edit button should appear with the correct set of links when the
user has any combination of the above permissions. If user has none the
button should not appear.

Followed test plan, patch behaves as expected
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as expected, passes all tests and QA script.
Template only change.
Comment 4 Galen Charlton 2014-02-26 17:30:08 UTC
Pushed to master.  Thanks, Owen!
Comment 5 Fridolin SOMERS 2014-05-21 09:33:16 UTC
Pushed to 3.14.x, will be in 3.14.07
Comment 6 Kyle M Hall 2014-06-06 13:56:46 UTC
Pushed to 3.12.x will be in 3.12.13